Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class InfoTypeAndValue

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cmp.InfoTypeAndValue

All Implemented Interfaces:
  DEREncodable

    public class InfoTypeAndValue

extends ASN1Encodable

Example InfoTypeAndValue contents include, but are not limited to, the following (un-comment in this ASN.1 module and use as appropriate for a given environment):

       id-it-caProtEncCert    OBJECT IDENTIFIER ::= {id-it 1}
          CAProtEncCertValue      ::= CMPCertificate
       id-it-signKeyPairTypes OBJECT IDENTIFIER ::= {id-it 2}
         SignKeyPairTypesValue   ::= SEQUENCE OF AlgorithmIdentifier
       id-it-encKeyPairTypes  OBJECT IDENTIFIER ::= {id-it 3}
         EncKeyPairTypesValue    ::= SEQUENCE OF AlgorithmIdentifier
       id-it-preferredSymmAlg OBJECT IDENTIFIER ::= {id-it 4}
          PreferredSymmAlgValue   ::= AlgorithmIdentifier
       id-it-caKeyUpdateInfo  OBJECT IDENTIFIER ::= {id-it 5}
          CAKeyUpdateInfoValue    ::= CAKeyUpdAnnContent
       id-it-currentCRL       OBJECT IDENTIFIER ::= {id-it 6}
          CurrentCRLValue         ::= CertificateList
       id-it-unsupportedOIDs  OBJECT IDENTIFIER ::= {id-it 7}
          UnsupportedOIDsValue    ::= SEQUENCE OF OBJECT IDENTIFIER
       id-it-keyPairParamReq  OBJECT IDENTIFIER ::= {id-it 10}
          KeyPairParamReqValue    ::= OBJECT IDENTIFIER
       id-it-keyPairParamRep  OBJECT IDENTIFIER ::= {id-it 11}
          KeyPairParamRepValue    ::= AlgorithmIdentifer
       id-it-revPassphrase    OBJECT IDENTIFIER ::= {id-it 12}
          RevPassphraseValue      ::= EncryptedValue
       id-it-implicitConfirm  OBJECT IDENTIFIER ::= {id-it 13}
          ImplicitConfirmValue    ::= NULL
       id-it-confirmWaitTime  OBJECT IDENTIFIER ::= {id-it 14}
          ConfirmWaitTimeValue    ::= GeneralizedTime
       id-it-origPKIMessage   OBJECT IDENTIFIER ::= {id-it 15}
          OrigPKIMessageValue     ::= PKIMessages
       id-it-suppLangTags     OBJECT IDENTIFIER ::= {id-it 16}
          SuppLangTagsValue       ::= SEQUENCE OF UTF8String

     where

       id-pkix OBJECT IDENTIFIER ::= {
          iso(1) identified-organization(3)
          dod(6) internet(1) security(5) mechanisms(5) pkix(7)}
     and
          id-it   OBJECT IDENTIFIER ::= {id-pkix 4}

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`DERObjectIdentifier` | `getInfoType()`
`ASN1Encodable` | `getInfoValue()`
`static InfoTypeAndValue` | `getInstance(java.lang.Object o)`
`DERObject` | `toASN1Object()` InfoTypeAndValue ::= SEQUENCE { infoType OBJECT IDENTIFIER, infoValue ANY DEFINED BY infoType OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static InfoTypeAndValue getInstance(java.lang.Object o)

### getInfoType

    public DERObjectIdentifier getInfoType()

### getInfoValue

    public ASN1Encodable getInfoValue()

### toASN1Object

    public DERObject toASN1Object()

       InfoTypeAndValue ::= SEQUENCE {
                               infoType               OBJECT IDENTIFIER,
                               infoValue              ANY DEFINED BY infoType  OPTIONAL
       }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD